Bug 832446 - Review Request: arquillian-osgi - Arquillian OSGi
Summary: Review Request: arquillian-osgi - Arquillian OSGi
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Juan Hernández
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 829402 830125 830763
Blocks: 832443
TreeView+ depends on / blocked
 
Reported: 2012-06-15 12:25 UTC by Marek Goldmann
Modified: 2012-07-10 16:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-10 16:24:16 UTC
juan.hernandez: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marek Goldmann 2012-06-15 12:25:20 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/arquillian-osgi/1.0.2-1/arquillian-osgi.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/arquillian-osgi/1.0.2-1/arquillian-osgi-1.0.2-1.fc17.src.rpm
Description: This package contains Arquillian OSGi support
Fedora Account System Username: goldmann

Comment 1 Marek Goldmann 2012-06-28 07:27:09 UTC
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4203946

Comment 2 Juan Hernández 2012-06-28 07:51:00 UTC
I am taking this for review.

Comment 3 Juan Hernández 2012-06-28 08:40:57 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

Output of rpmlint of the source package:

$ rpmlint arquillian-osgi-1.0.2-1.fc17.src.rpm
arquillian-osgi.src: W: invalid-url Source0: arquillian-container-osgi-1.0.2.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

This warning is acceptable as the source was checked out from the source repository.

Output of rpmlint of the binary packages:

rpmlint arquillian-osgi-1.0.2-1.fc18.noarch.rpm arquillian-osgi-javadoc-1.0.2-1.fc18.noarch.rpm
arquillian-osgi.noarch: W: no-documentation
arquillian-osgi-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

These warnings are acceptable.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[!]  License field in the package spec file matches the actual license.

Most of the source files in this package state that the license is ASL 2.0, for example this one:

protocol-osgi/src/main/java/org/jboss/arquillian/protocol/osgi/JMXOSGiProtocol.java

Others state that thy use LGPLv2+, for example this:

bundle/src/main/java/org/jboss/arquillian/osgi/ArquillianBundleActivator.java

So I think the license should be:

ASL 2.0 and LGPLv2+

[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[-]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 57be562609e30c2dbb8c9687b51b22ed
MD5SUM upstream package: 57be562609e30c2dbb8c9687b51b22ed
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[-]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)

The package is based on commit ee57fcf6b8c75a5809e21accc4c90773a2b08b4a, instead of tag 1.0.2.Final. This tag points to that commit, but was probably created after the spec, not a big issue.

[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4204018

=== Issues ===
1. The license should be ASL 2.0 and LGPLv2+.

=== Final Notes ===
1. Fix the license issue in #1 and I will approve.
2. Consider using tag 1.0.2.Final in the instructions to create the tarball.


[1] https://fedoraproject.org/wiki/Packaging:NamingGuidelines
[2] https://fedoraproject.org/wiki/Packaging:Guidelines
[3] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
[4] https://fedoraproject.org/wiki/Licensing:Main
[5] https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2 
[6] https://fedoraproject.org/wiki/Packaging:Java#Filenames

Comment 5 Juan Hernández 2012-06-28 08:55:22 UTC
It is ok now, thanks Marek!

================
*** APPROVED ***
================

Comment 6 Marek Goldmann 2012-06-28 08:56:35 UTC
Thanks for review!

New Package SCM Request
=======================
Package Name: arquillian-osgi
Short Description: Arquillian OSGi
Owners: goldmann
Branches: f17

Comment 7 Gwyn Ciesla 2012-06-28 12:12:01 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2012-06-28 13:03:31 UTC
arquillian-osgi-1.0.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/arquillian-osgi-1.0.2-2.fc17

Comment 9 Fedora Update System 2012-06-30 08:28:44 UTC
arquillian-osgi-1.0.2-2.fc17 has been pushed to the Fedora 17 testing repository.

Comment 10 Fedora Update System 2012-07-10 16:24:16 UTC
arquillian-osgi-1.0.2-2.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.